package com.yihu.wlyy.entity.patient;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 健康指导
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_patient_health_guidance")
public class PatientHealthGuidance extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4187769034437765691L;

	// 患者标识
	private String patient;
	// 医生标识
	private String doctor;
	// 指导内容
	private String content;
	// 咨询图片URL，多图以逗号分隔
	private String images;
	// 咨询语音URL
	private String voice;
	// 作废标识：1正常，0作废
	private String del;
	// 添加时间
	private Date czrq;

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getImages() {
		return images;
	}

	public void setImages(String images) {
		this.images = images;
	}

	public String getVoice() {
		return voice;
	}

	public void setVoice(String voice) {
		this.voice = voice;
	}

}
